# wxRichTextStyleComboCtrl Class Reference
[Rich Text]

`#include <wx/richtext/richtextstyles.h>`

Inheritance diagram for wxRichTextStyleComboCtrl:
[legend]

## Detailed Description

This is a combo control that can display the styles in a wxRichTextStyleSheet, and apply the selection to an associated wxRichTextCtrl.

See `samples/richtext` for an example of how to use it.

##

Library: wxRichText

Category: Rich Text

See also:
  wxRichTextStyleListBox, wxRichTextCtrl Overview

## Public Member Functions
| wxRichTextStyleComboCtrl (wxWindow *parent, wxWindowID id=wxID_ANY, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=0)
| Constructor.
virtual | ~wxRichTextStyleComboCtrl ()
| Destructor.
wxRichTextCtrl * | GetRichTextCtrl () const
| Returns the wxRichTextCtrl associated with this control.
wxRichTextStyleSheet * | GetStyleSheet () const
| Returns the style sheet associated with this control.
void | SetRichTextCtrl (wxRichTextCtrl *ctrl)
| Associates the control with a wxRichTextCtrl.
void | SetStyleSheet (wxRichTextStyleSheet *styleSheet)
| Associates the control with a style sheet.
void | UpdateStyles ()
| Updates the combo control from the associated style sheet.

List of all members.

## Constructor & Destructor Documentation

wxRichTextStyleComboCtrl::wxRichTextStyleComboCtrl | ( | wxWindow * | parent,
|  | wxWindowID | id = `wxID_ANY`,
|  | const wxPoint & | pos = `wxDefaultPosition`,
|  | const wxSize & | size = `wxDefaultSize`,
|  | long | style = `0` |
| ) |  |  |

Constructor.

virtual wxRichTextStyleComboCtrl::~wxRichTextStyleComboCtrl | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

wxRichTextCtrl* wxRichTextStyleComboCtrl::GetRichTextCtrl | ( |  | ) | const

Returns the wxRichTextCtrl associated with this control.

wxRichTextStyleSheet* wxRichTextStyleComboCtrl::GetStyleSheet | ( |  | ) | const

Returns the style sheet associated with this control.

void wxRichTextStyleComboCtrl::SetRichTextCtrl | ( | wxRichTextCtrl * | ctrl | ) |

Associates the control with a wxRichTextCtrl.

void wxRichTextStyleComboCtrl::SetStyleSheet | ( | wxRichTextStyleSheet * | styleSheet | ) |

Associates the control with a style sheet.

void wxRichTextStyleComboCtrl::UpdateStyles | ( |  | ) |

Updates the combo control from the associated style sheet.

|  | [ top ]